# PSF-LoginServer - master - net.psforever.packet.game.WorldStatus
PSF - LoginServer - master - net.psforever.packet.game.WorldStatus
Keywords: PSF LoginServer master net.psforever.packet.game.WorldStatus

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- ActionCancelMessage
- ActionProgressMessage
- ActionResultMessage
- Additional1
- Additional2
- Additional3
- AggravatedDamageMessage
- ArmorChangedMessage
- AvatarDeadStateMessage
- AvatarFirstTimeEventMessage
- AvatarGrenadeStateMessage
- AvatarImplantMessage
- AvatarJumpMessage
- AvatarSearchCriteriaMessage
- AvatarStatisticsMessage
- AvatarVehicleTimerMessage
- BattleDiagramAction
- BattleExperienceMessage
- BattleplanMessage
- BeginZoningMessage
- BindPlayerMessage
- BindStatus
- BroadcastWarpgateUpdateMessage
- BugReportMessage
- BugType
- BuildingInfoUpdateMessage
- CaptureFlagUpdateMessage
- CargoMountPointStatusMessage
- ChainLashMessage
- ChangeAmmoMessage
- ChangeFireModeMessage
- ChangeFireStateMessage_Start
- ChangeFireStateMessage_Stop
- ChangeShortcutBankMessage
- CharacterCreateRequestMessage
- CharacterInfoMessage
- CharacterKnowledgeInfo
- CharacterKnowledgeMessage
- CharacterNoRecordMessage
- CharacterRequestAction
- CharacterRequestMessage
- ChatChannel
- ChatMsg
- ChildObjectStateMessage
- CloudInfo
- ConnectToWorldMessage
- ConnectToWorldRequestMessage
- ContinentalLockUpdateMessage
- CreateShortcutMessage
- DamageFeedbackMessage
- DamageMessage
- DamageWithPositionMessage
- DataChallenge
- DataChallengeMessage
- DataChallengeMessageResp
- DeadState
- DelayedPathMountMsg
- DensityLevelUpdateMessage
- DeployObjectMessage
- DeployOutcome
- DeployRequestMessage
- DeployableIcon
- DeployableInfo
- DeployableObjectsInfoMessage
- DeploymentAction
- DestroyDisplayMessage
- DestroyMessage
- DiagramActionCode
- DiagramStroke
- DisconnectMessage
- DismountBuildingMsg
- DismountVehicleCargoMsg
- DismountVehicleMsg
- DisplayedAwardMessage
- DrawString
- DropItemMessage
- DroppodError
- DroppodFreefallingMessage
- DroppodLaunchInfo
- DroppodLaunchRequestMessage
- DroppodLaunchResponseMessage
- DrowningTarget
- EmoteMsg
- ExperienceAddedMessage
- FacilityBenefitShieldChargeRequestMessage
- FavoritesAction
- FavoritesMessage
- FavoritesRequest
- FireHintMessage
- FlagInfo
- Friend
- FriendAction
- FriendsRequest
- FriendsResponse
- GamePropertyScope
- GamePropertyTarget
- GenericActionEnum
- GenericActionMessage
- GenericCollisionMsg
- GenericObjectActionEnum
- GenericObjectActionMessage
- GenericObjectStateMsg
- HackMessage
- HackState
- HitHint
- HitInfo
- HitMessage
- HotSpotInfo
- HotSpotUpdateMessage
- ImplantAction
- InvalidTerrainMessage
- InventoryStateMessage
- ItemTransactionMessage
- ItemTransactionResultMessage
- KeepAliveMessage
- LashMessage
- LoadMapMessage
- LoginMessage
- LoginRespMessage
- LongRangeProjectileInfoMessage
- LootItemMessage
- MailMessage
- MemberEvent
- MountVehicleCargoMsg
- MountVehicleMsg
- MoveItemMessage
- ObjectAttachMessage
- ObjectCreateDetailedMessage
- ObjectCreateMessage
- ObjectDeleteMessage
- ObjectDeployedMessage
- ObjectDetachMessage
- ObjectDetectedMessage
- ObjectHeldMessage
- OrbitalShuttleTimeMsg
- OrbitalStrikeWaypointMessage
- OxygenStateMessage
- PadAndShuttlePair
- PickupItemMessage
- PingMsg
- PlanetSideZoneID
- PlanetsideAttributeEnum
- PlanetsideAttributeMessage
- PlanetsideStringAttributeMessage
- PlayerStasisMessage
- PlayerStateMessage
- PlayerStateMessageUpstream
- PlayerStateShiftMessage
- ProjectileCharacteristics
- ProjectileStateMessage
- PropertyOverrideMessage
- ProximityTerminalUseMessage
- QuantityDeltaUpdateMessage
- QuantityUpdateMessage
- ReleaseAvatarRequestMessage
- ReloadMessage
- RepairMessage
- ReplicationStreamMessage
- RequestDestroyMessage
- RespawnAMSInfoMessage
- RespawnInfo
- RibbonBarsSlot
- ServerType
- ServerVehicleOverrideMsg
- SetChatFilterMessage
- SetCurrentAvatarMessage
- SetEmpireMessage
- ShiftState
- Shortcut
- SimDataChallenge
- SimDataChallengeResp
- SpawnRequestMessage
- SplashHitMessage
- SplashedTarget
- SquadAction
- SquadDefinitionActionMessage
- SquadDetail
- SquadDetailDefinitionUpdateMessage
- SquadHeader
- SquadInfo
- SquadInvitationRequestMessage
- SquadListing
- SquadMemberEvent
- SquadMembershipRequest
- SquadMembershipResponse
- SquadPositionDetail
- SquadPositionEntry
- SquadState
- SquadStateInfo
- SquadWaypointEvent
- SquadWaypointRequest
- Statistics
- StormInfo
- StreamLengthToken
- StrokeFive
- StrokeSeven
- Style
- TargetInfo
- TargetRequest
- TargetingImplantRequest
- TargetingInfoMessage
- TerrainCondition
- TimeOfDayMessage
- TrainingZoneMessage
- TriggerEffectMessage
- TriggerEnvironmentalDamageMessage
- TriggerSoundMessage
- TriggeredEffect
- TriggeredEffectLocation
- TriggeredSound
- UnuseItemMessage
- UseItemMessage
- VNLWorldStatusMessage
- VehicleStateMessage
- VehicleSubStateMessage
- Vertex
- VoiceHostInfo
- VoiceHostKill
- VoiceHostRequest
- WarpQueuePrompt
- WarpgateRequest
- Waypoint
- WaypointEvent
- WaypointEventAction
- WaypointInfo
- WeaponDelayFireMessage
- WeaponDryFireMessage
- WeaponFireMessage
- WeaponJammedMessage
- WeaponLazeTargetPositionMessage
- WeatherMessage
- WorldConnectionInfo
- WorldInformation
- WorldStatus
- ZipLineMessage
- ZoneForcedCavernConnectionsMessage
- ZoneInfoMessage
- ZoneLockInfoMessage
- ZonePopulationUpdateMessage

o

net.psforever.packet.game

# WorldStatus

###

#### object WorldStatus extends Enumeration

Source
  VNLWorldStatusMessage.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WorldStatus
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val Down: Value
5.  val Full: Value
6.  val Locked: Value
7.  val Up: Value
8.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
11.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
12.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def maxId: Int
    Definition Classes
      Enumeration
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
24.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
30.  def values: ValueSet
    Definition Classes
      Enumeration
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
34.  final def withName(s: String): Value
    Definition Classes
      Enumeration
35.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped